<script>
    export let forecast, date;
</script>

<div class="forecast-block">
    <div class="content">
        {#if date }
            <div class="date">{date}</div>
        {/if}
        <div>rain chance : {forecast.rainChance}%</div>
        {#if forecast.precipitation }
            <div>precipitation : {forecast.precipitation} mm</div>
        {/if}
    </div>
    <span class="rain-chance-meter" style="opacity: {forecast.rainChance*0.01}"></span>
</div>


<style>
    .forecast-block {
        margin: 10px 0 15px;
        border-bottom: 1px solid black;
        font-family: monospace;
        font-size: 16px;
        position: relative;
    }

    .date {
        font-weight: bold;
    }

    .content{
        z-index: 1;
        position: relative;
        padding: 7px 10px;
    }

    .rain-chance-meter{
        height: 100%;
        background: var(--color-theme);
        width: 100%;
        display: block;
        position: absolute;
        bottom: 0;
        left: 0;
    }
</style>
